Subject: Re: [PATCH 0/4] test-tool: split up "read-cache" tool

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Tue, 08 Jun 2021 13:14:36 +0200

On Tue, Jun 08 2021, Junio C Hamano wrote:

> Ævar Arnfjörð Bjarmason  <[email-masked]> writes:
>
>> When the sparse index topic was being discussed I suggested that the
>> t/helper/read-cache.c tool was getting to the point of doing too many
>> things and should be split up.
>>
>> Since that series has landed on master here's that suggestion again in
>> the form of patches on top of master. The 4/4 patch is a "while I was
>> at it" addition of an extra perf test for index refreshing.
>>
>> 1. https://lore.kernel.org/git/[email-masked]/
>>
>> Ævar Arnfjörð Bjarmason (4):
>>   test-tool: split up test-tool read-cache
>>   test-tools: migrate read-cache-perf to parse_options()
>>   test-tools: migrate read-cache-again to parse_options()
>>   read-cache perf: add a perf test for refresh_index()
>
> Is the contrast between tool and tools deliberate?

Yes, I figured "test-tool:" describes the main entry point of the
"test-tool somecmd", so if I split up "somecmd" into "othercmd" that's a
"test-tool" change.

But "test-tools:" when I'm modifying particular tools, I can change 2/4
and 3/4 it to "test-tool read-cache-perf:" and "test-tool
read-cache-again" (or another thing you suggest) if you think this
warrants a re-roll.

>>  Makefile                         |  2 ++
>>  t/helper/test-read-cache-again.c | 47 +++++++++++++++++++++++++++
>>  t/helper/test-read-cache-perf.c  | 47 +++++++++++++++++++++++++++
>>  t/helper/test-read-cache.c       | 56 +++++++++++++-------------------
>>  t/helper/test-tool.c             |  2 ++
>>  t/helper/test-tool.h             |  2 ++
>>  t/perf/p0002-read-cache.sh       |  7 +++-
>>  t/t7519-status-fsmonitor.sh      |  2 +-
>>  8 files changed, 130 insertions(+), 35 deletions(-)
>>  create mode 100644 t/helper/test-read-cache-again.c
>>  create mode 100644 t/helper/test-read-cache-perf.c